/**
 * Kubernetes
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * OpenAPI spec version: v1.33.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { V1NodeSelector } from '../models/V1NodeSelector.js';
import { V1beta2DeviceAttribute } from '../models/V1beta2DeviceAttribute.js';
import { V1beta2DeviceCapacity } from '../models/V1beta2DeviceCapacity.js';
import { V1beta2DeviceCounterConsumption } from '../models/V1beta2DeviceCounterConsumption.js';
import { V1beta2DeviceTaint } from '../models/V1beta2DeviceTaint.js';
/**
* Device represents one individual hardware instance that can be selected based on its attributes. Besides the name, exactly one field must be set.
*/
export declare class V1beta2Device {
    /**
    * AllNodes indicates that all nodes have access to the device.  Must only be set if Spec.PerDeviceNodeSelection is set to true. At most one of NodeName, NodeSelector and AllNodes can be set.
    */
    'allNodes'?: boolean;
    /**
    * Attributes defines the set of attributes for this device. The name of each attribute must be unique in that set.  The maximum number of attributes and capacities combined is 32.
    */
    'attributes'?: {
        [key: string]: V1beta2DeviceAttribute;
    };
    /**
    * Capacity defines the set of capacities for this device. The name of each capacity must be unique in that set.  The maximum number of attributes and capacities combined is 32.
    */
    'capacity'?: {
        [key: string]: V1beta2DeviceCapacity;
    };
    /**
    * ConsumesCounters defines a list of references to sharedCounters and the set of counters that the device will consume from those counter sets.  There can only be a single entry per counterSet.  The total number of device counter consumption entries must be <= 32. In addition, the total number in the entire ResourceSlice must be <= 1024 (for example, 64 devices with 16 counters each).
    */
    'consumesCounters'?: Array<V1beta2DeviceCounterConsumption>;
    /**
    * Name is unique identifier among all devices managed by the driver in the pool. It must be a DNS label.
    */
    'name': string;
    /**
    * NodeName identifies the node where the device is available.  Must only be set if Spec.PerDeviceNodeSelection is set to true. At most one of NodeName, NodeSelector and AllNodes can be set.
    */
    'nodeName'?: string;
    'nodeSelector'?: V1NodeSelector;
    /**
    * If specified, these are the driver-defined taints.  The maximum number of taints is 4.  This is an alpha field and requires enabling the DRADeviceTaints feature gate.
    */
    'taints'?: Array<V1beta2DeviceTaint>;
    static readonly discriminator: string | undefined;
    static readonly mapping: {
        [index: string]: string;
    } | undefined;
    static readonly attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
        format: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
        format: string;
    }[];
    constructor();
}
